Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513619 - _ped.IOException: Partition(s) 10 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use. As a result, the old partition(s) will remain in use. You should reboot now before ...
Summary: _ped.IOException: Partition(s) 10 on /dev/sda have been written, but we have ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8c2f3447d30c1f400730ff00d52...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 17:04 UTC by tmhawary
Modified: 2018-05-29 11:38 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:38:01 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: anaconda.log (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: environ (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: journalctl (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: lsblk_output (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: lvm.log (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: nmcli_dev_list (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: os_info (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: program.log (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: storage.log (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details
File: ifcfg.log (deleted)
2017-11-15 17:05 UTC, tmhawary
no flags Details

Description tmhawary 2017-11-15 17:04:43 UTC
Version-Release number of selected component:
anaconda-core-26.21.11-1.fc26.x86_64

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/parted/disk.py", line 212, in commit
    return self.__disk.commit()
  File "/usr/lib64/python3.6/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.6/site-packages/blivet/formats/disklabel.py", line 284, in commit
    self.parted_disk.commit()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/partition.py", line 615, in _create
    self.disk.format.commit()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 448, in create
    self._create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/deviceaction.py", line 318, in execute
    self.device.create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 437, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 471, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install.py", line 363, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
_ped.IOException: Partition(s) 10 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: python3-blivet-2.1.9-1.fc26.noarch, system-python-libs-3.6.1-8.fc26.x86_64, python3-pyparted-3.10.7-6.fc26.x86_64
product:        Fedora
release:        Fedora release 26 (Twenty Six)
type:           anaconda
version:        26

Comment 1 tmhawary 2017-11-15 17:05:05 UTC
Created attachment 1352762 [details]
File: anaconda-tb

Comment 2 tmhawary 2017-11-15 17:05:10 UTC
Created attachment 1352763 [details]
File: anaconda.log

Comment 3 tmhawary 2017-11-15 17:05:12 UTC
Created attachment 1352764 [details]
File: environ

Comment 4 tmhawary 2017-11-15 17:05:20 UTC
Created attachment 1352765 [details]
File: journalctl

Comment 5 tmhawary 2017-11-15 17:05:23 UTC
Created attachment 1352766 [details]
File: lsblk_output

Comment 6 tmhawary 2017-11-15 17:05:30 UTC
Created attachment 1352767 [details]
File: lvm.log

Comment 7 tmhawary 2017-11-15 17:05:33 UTC
Created attachment 1352768 [details]
File: nmcli_dev_list

Comment 8 tmhawary 2017-11-15 17:05:35 UTC
Created attachment 1352769 [details]
File: os_info

Comment 9 tmhawary 2017-11-15 17:05:40 UTC
Created attachment 1352770 [details]
File: program.log

Comment 10 tmhawary 2017-11-15 17:05:51 UTC
Created attachment 1352771 [details]
File: storage.log

Comment 11 tmhawary 2017-11-15 17:05:54 UTC
Created attachment 1352772 [details]
File: ifcfg.log

Comment 12 Jiri Konecny 2017-11-16 08:45:19 UTC
Looks like a storage related bug.
Changing components.

Comment 13 Fedora End Of Life 2018-05-03 08:11:03 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:38:01 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.